[P028]License

get
https://connect.patsnap.com/advanced-patent-data/license-data
Try in Sandbox

Receive license data by patent_id or patent_number. This includes license contract number, licensor, licensee, license type, and license effective date.

The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
patent_id
string8fa96acb-a3f1-4d79-b6cd-499ce3badd44
patent_id
patent_number
stringUS11234954B2
patent_number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
pn
stringUS11205304B2
patent number
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
patent id
patent_license_data
arrayPlease check the form: PatentLicenseData
patent license data
country
stringUS
Authority code
licensees
arrayPlease check the form: PersonBaseDoc
licensees
lang
stringEN
Language
name
stringEMC IP HOLDING COMPANY LLC
name
sequence
integer<int32>1
sequence
licensors
arrayPlease check the form: PersonBaseDoc
licensors
license_type
array[ "Exclusive" ]
License type
effective_date
integer<int64>20100915
License effective date
contract_number
string2010370000340
License contract number, only some jurisdictions have this field, such as CN
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "pn": "US11205304B2",
      "patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
      "patent_license_data": [
        {
          "country": "US",
          "licensees": [
            {
              "lang": "EN",
              "name": "EMC IP HOLDING COMPANY LLC",
              "sequence": 1
            }
          ],
          "licensors": [
            {
              "lang": "EN",
              "name": "EMC IP HOLDING COMPANY LLC",
              "sequence": 1
            }
          ],
          "license_type": [
            "Exclusive"
          ],
          "effective_date": 20100915,
          "contract_number": "2010370000340"
        }
      ]
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found